# Copyright 2025 Canonical Ltd.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
"""FIXME docstring."""

from __future__ import annotations

import ops


class Charm(ops.CharmBase):
    def __init__(self, framework: ops.Framework):
        super().__init__(framework)
        self.tracing = ops.tracing.Tracing(
            self,
            tracing_relation_name='charm-tracing',
            ca_relation_name='send-ca-cert',
        )
        self.framework.observe(self.on.collect_app_status, self._on_collect_status)
        self.framework.observe(self.on.collect_unit_status, self._on_collect_status)

    # FIXME: not strictly necessary, only testing that charm didn't crash
    def _on_collect_status(self, event: ops.CollectStatusEvent):
        event.add_status(ops.ActiveStatus())


if __name__ == '__main__':
    ops.main(Charm)
